For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Manage API keysIdeogram
  • Ideogram API
    • API Overview
    • API Setup
    • Account API Page
    • API Pricing
    • API Status
  • Tutorials
    • Custom Model Training
  • API Reference
    • POSTGenerate with Ideogram 4.0
    • POSTRemix with Ideogram 4.0
    • POSTGenerate a Magic Prompt with Ideogram 4.0
    • POSTDescribe with Ideogram 4.0
    • POSTGenerate with Ideogram 3.0
    • POSTGenerate with Ideogram 3.0 (Transparent Background)
    • POSTInpaint with Ideogram 3.0
    • POSTRemix with Ideogram 3.0
    • POSTReframe with Ideogram 3.0
    • POSTReplace Background with Ideogram 3.0
    • POSTRemove Background
    • POSTLayerize Text
    • POSTEdit images with a prompt
    • POSTUpscale
    • POSTDescribe
    • POSTGenerate (legacy)
    • POSTEdit with Ideogram 3.0 (legacy)
    • POSTEdit (legacy)
    • POSTRemix (legacy)
    • POSTReframe (legacy)
  • Custom Model Training
    • GETList datasets
    • POSTCreate a new dataset
    • GETGet a dataset
    • POSTUpload assets to a dataset
    • POSTTrain a custom Ideogram v3 model
    • GETList models
    • GETGet model details
LogoLogo
LogoLogo
Manage API keysIdeogram
Custom Model Training

Create a new dataset

POST
https://api.ideogram.ai/datasets
POST
/datasets
$curl -X POST https://api.ideogram.ai/datasets \
> -H "Api-Key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "name"
>}'
1{
2 "dataset_id": "dataset_id",
3 "name": "name",
4 "user_id": "user_id",
5 "creation_time": "2000-01-23 04:56:07+00:00",
6 "cover_asset_identifier": {
7 "asset_type": "RESPONSE",
8 "asset_id": "7uS_VESkRI6O3-sVgHQp_A"
9 }
10}
Creates a new dataset
Was this page helpful?
Previous

Get a dataset

Next
Built with

Authentication

Api-Keystring

API key for access control. Use in the header with the name “Api-Key”

Request

Request to create a new dataset
namestringRequired
Name of the dataset.

Response

Dataset created successfully
dataset_idstring
Unique identifier for the dataset.
namestring
Display name of the dataset.
user_idstring
ID of the user who owns this dataset.
creation_timedatetime
When the dataset was created.
cover_asset_identifierobject
An identifier for an ideogram asset.

Errors

400
Bad Request Error
401
Unauthorized Error